---
title: Materials
---

## Case Studies

### Case Study \#1 - HTR for Codex Palatinus Graecus 23

📌 Overview<br>This case study focused on the development of an HTR model for the *Codex Palatinus Graecus* 23, the primary witness of the Greek Anthology.

📖 Sources
<br>A single manuscript, divided in 2 parts: [Palatinus graec. 23, pp. 1-614](https://doi.org/10.11588/diglit.3449#0001) and [Parisinus Suppl. graec. 384, pp. 615-709](https://gallica.bnf.fr/ark:/12148/btv1b8470199g/)

Characteristics:

- Script: X<sup>th</sup> century Byzantine round minuscule
- Hands: at least 4
- Readability and abbreviations: clear and few abbreviations
- Layout: One columns & a few *scholia*

🎯 Project Context<br>
This project emerged from the [Greek Anthology Project](https://anthologiagraeca.org) held at the [Canada Research Chair on Digital Textualities](https://www.ecrituresnumeriques.ca/en)

🔬 Results HTR models trained using Kraken and eScriptorium: 
[Meleagre-NFD-finetuned](https://doi.org/10.5281/zenodo.10912724) (91,05%), [Meleagre-NFD](https://doi.org/10.5281/zenodo.10912646) (90,85%), [Meleagre-NFC](https://doi.org/10.5281/zenodo.10912497) (91,00%)

📑 [Repository](https://gitlab.huma-num.fr/ecrinum/anthologia/htr_cpgr23/-/tree/master?ref_type=heads) & [Guidelines](https://gitlab.huma-num.fr/ecrinum/anthologia/htr_cpgr23/-/tree/master?ref_type=heads#transcription-guidelines)

## 🛠️ Tools for HTR [tba]

## 💾 Data [tba]

## 📚 References on HTR and Ancient Greek

> Is something missing ? [Let us know](mailto:mathilde.verstraete@umontreal.ca)

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<title>Bibliographie</title>
</head>
<body>
  <div class="csl-entry">Baumann, R. (2022a). <i>Kraken-gaza-iliad</i>. <a href="https://github.com/ryanfb/kraken-gaza-iliad">https://github.com/ryanfb/kraken-gaza-iliad</a> (Édition originale 2019)</div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Adc&amp;rft.type=computerProgram&amp;rft.title=kraken-gaza-iliad&amp;rft.description=Edition-specific%20OCR%20training%20for%20Theodorus%20Gaza's%20Attic%20paraphrase%20of%20the%20Iliad&amp;rft.identifier=https%3A%2F%2Fgithub.com%2Fryanfb%2Fkraken-gaza-iliad&amp;rft.aufirst=Ryan&amp;rft.aulast=Baumann&amp;rft.au=Ryan%20Baumann&amp;rft.date=2022-06-08"></span>
  <div class="csl-entry">Baumann, R. (2022b). <i>Kraken-voulgaris-aeneid</i>. <a href="https://github.com/ryanfb/kraken-voulgaris-aeneid">https://github.com/ryanfb/kraken-voulgaris-aeneid</a> (Édition originale 2019)</div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Adc&amp;rft.type=computerProgram&amp;rft.title=kraken-voulgaris-aeneid&amp;rft.description=Edition-specific%20OCR%20training%20for%20Evgenios%20Voulgaris'%20Greek%20translation%20of%20the%20Aeneid&amp;rft.identifier=https%3A%2F%2Fgithub.com%2Fryanfb%2Fkraken-voulgaris-aeneid&amp;rft.aufirst=Ryan&amp;rft.aulast=Baumann&amp;rft.au=Ryan%20Baumann&amp;rft.date=2022-06-08"></span>
  <div class="csl-entry">Baumann, R. (2023). <i>Kraken-gaza-batrachomyomachia</i>. <a href="https://github.com/ryanfb/kraken-gaza-batrachomyomachia">https://github.com/ryanfb/kraken-gaza-batrachomyomachia</a> (Édition originale 2020)</div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Adc&amp;rft.type=computerProgram&amp;rft.title=kraken-gaza-batrachomyomachia&amp;rft.rights=CC0-1.0&amp;rft.description=Theodorus%20Gaza%E2%80%99s%20edition%20and%20paraphrase%20of%20the%20Batrachomyomachia&amp;rft.identifier=https%3A%2F%2Fgithub.com%2Fryanfb%2Fkraken-gaza-batrachomyomachia&amp;rft.aufirst=Ryan&amp;rft.aulast=Baumann&amp;rft.au=Ryan%20Baumann&amp;rft.date=2023-01-12"></span>
  <div class="csl-entry">Calvelli, L., Boschetti, F., &amp; Tommasi, T. (2023). EpiSearch. Identifying Ancient Inscriptions in Epigraphic Manuscripts. <i>Journal of Data Mining &amp; Digital Humanities</i>, <i>Documents historiques et reconnaissance automatique de textes</i>, 10417. <a href="https://doi.org/10.46298/jdmdh.10417">https://doi.org/10.46298/jdmdh.10417</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_id=info%3Adoi%2F10.46298%2Fjdmdh.10417&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Ajournal&amp;rft.genre=article&amp;rft.atitle=EpiSearch.%20Identifying%20Ancient%20Inscriptions%20in%20Epigraphic%20Manuscripts&amp;rft.jtitle=Journal%20of%20Data%20Mining%20%26%20Digital%20Humanities&amp;rft.volume=Documents%20historiques%20et%20reconnaissance%20automatique%20de%20textes&amp;rft.aufirst=Lorenzo&amp;rft.aulast=Calvelli&amp;rft.au=Lorenzo%20Calvelli&amp;rft.au=Federico%20Boschetti&amp;rft.au=Tatiana%20Tommasi&amp;rft.date=2023&amp;rft.pages=10417&amp;rft.issn=2416-5999&amp;rft.language=en"></span>
  <div class="csl-entry">Camps, J.-B., Vidal-Gorène, C., &amp; Vernet, M. (2021). <i>Handling Heavily Abbreviated Manuscripts : HTR engines vs text normalisation approaches</i> (No. arXiv:2107.03450). arXiv. <a href="https://doi.org/10.48550/arXiv.2107.03450">https://doi.org/10.48550/arXiv.2107.03450</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_id=info%3Adoi%2F10.48550%2FarXiv.2107.03450&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Adc&amp;rft.type=preprint&amp;rft.title=Handling%20Heavily%20Abbreviated%20Manuscripts%3A%20HTR%20engines%20vs%20text%20normalisation%20approaches&amp;rft.description=Although%20abbreviations%20are%20fairly%20common%20in%20handwritten%20sources%2C%20particularly%20in%20medieval%20and%20modern%20Western%20manuscripts%2C%20previous%20research%20dealing%20with%20computational%20approaches%20to%20their%20expansion%20is%20scarce.%20Yet%20abbreviations%20present%20particular%20challenges%20to%20computational%20approaches%20such%20as%20handwritten%20text%20recognition%20and%20natural%20language%20processing%20tasks.%20Often%2C%20pre-processing%20ultimately%20aims%20to%20lead%20from%20a%20digitised%20image%20of%20the%20source%20to%20a%20normalised%20text%2C%20which%20includes%20expansion%20of%20the%20abbreviations.%20We%20explore%20different%20setups%20to%20obtain%20such%20a%20normalised%20text%2C%20either%20directly%2C%20by%20training%20HTR%20engines%20on%20normalised%20(i.e.%2C%20expanded%2C%20disabbreviated)%20text%2C%20or%20by%20decomposing%20the%20process%20into%20discrete%20steps%2C%20each%20making%20use%20of%20specialist%20models%20for%20recognition%2C%20word%20segmentation%20and%20normalisation.%20The%20case%20studies%20considered%20here%20are%20drawn%20from%20the%20medieval%20Latin%20tradition.&amp;rft.identifier=urn%3Adoi%3A10.48550%2FarXiv.2107.03450&amp;rft.aufirst=Jean-Baptiste&amp;rft.aulast=Camps&amp;rft.au=Jean-Baptiste%20Camps&amp;rft.au=Chahan%20Vidal-Gor%C3%A8ne&amp;rft.au=Marguerite%20Vernet&amp;rft.date=2021-07-07"></span>
  <div class="csl-entry">Chagué, A. (s.&nbsp;d.). eScriptorium Tutorial (en). <i>LECTAUREP</i>. Consulté 25 mars 2024, à l’adresse <a href="https://lectaurep.hypotheses.org/documentation/escriptorium-tutorial-en">https://lectaurep.hypotheses.org/documentation/escriptorium-tutorial-en</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Adc&amp;rft.type=blogPost&amp;rft.title=eScriptorium%20Tutorial%20(en)&amp;rft.description=A%20more%20extensive%20and%20updated%20documentation%20on%20eScriptorium%20is%20now%20available%20at%3A%20https%3A%2F%2Fescriptorium.readthedocs.io%2F%20(translated%20from%20French%20by%20Jonathan%20Allen%20of%20the%20Open%20Islamicate%20Texts%20Initiative)%20Additional%20Documentation%3A%20Video%20demo%20of%20part%20of%20the%20eScriptorium%20features%3A%20https%3A%2F%2Fescripta.hypotheses.org%2Fescriptorium-video-gallery%20Source%20code%20of%20eScriptorium%3A%20https%3A%2F%2Fgitlab.inria.fr%2Fscripta%2Fescriptorium%20French%20version%20of%20this%20tutorial%20Prerequisites%3A%20Secure%20an%20account%20on%20an%20eScriptorium%20instance%3B%20Or%20%E2%80%A6%20Continuer%20la%20lecture%20de%20%C2%AB%C2%A0eScriptorium%20Tutorial%20(en)%C2%A0%C2%BB&amp;rft.identifier=https%3A%2F%2Flectaurep.hypotheses.org%2Fdocumentation%2Fescriptorium-tutorial-en&amp;rft.aufirst=Alix&amp;rft.aulast=Chagu%C3%A9&amp;rft.au=Alix%20Chagu%C3%A9&amp;rft.language=fr"></span>
  <div class="csl-entry">Chagué, A., &amp; Clérice, T. (2023). «&nbsp;I’m here to fight for ground truth&nbsp;» : HTR-United, a solution towards a common for HTR training data. <i>Digital Humanities 2023: Collaboration as Opportunity</i>. <a href="https://inria.hal.science/hal-04094233">https://inria.hal.science/hal-04094233</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Abook&amp;rft.genre=proceeding&amp;rft.atitle=%22I'm%20here%20to%20fight%20for%20ground%20truth%22%3A%20HTR-United%2C%20a%20solution%20towards%20a%20common%20for%20HTR%20training%20data&amp;rft.btitle=Digital%20Humanities%202023%3A%20Collaboration%20as%20Opportunity&amp;rft.aufirst=Alix&amp;rft.aulast=Chagu%C3%A9&amp;rft.au=Alix%20Chagu%C3%A9&amp;rft.au=Thibault%20Cl%C3%A9rice&amp;rft.date=2023-07-10&amp;rft.language=en"></span>
  <div class="csl-entry">Chagué, A., Clérice, T., &amp; Romary, L. (2021). HTR-United : Mutualisons la vérité de terrain ! <i>DHNord2021 - Publier, partager, réutiliser les données de la recherche : les data papers et leurs enjeux</i>. <a href="https://hal.science/hal-03398740">https://hal.science/hal-03398740</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Abook&amp;rft.genre=proceeding&amp;rft.atitle=HTR-United%20%3A%20Mutualisons%20la%20v%C3%A9rit%C3%A9%20de%20terrain%20!&amp;rft.btitle=DHNord2021%20-%20Publier%2C%20partager%2C%20r%C3%A9utiliser%20les%20donn%C3%A9es%20de%20la%20recherche%20%3A%20les%20data%20papers%20et%20leurs%20enjeux&amp;rft.place=Lille%2C%20France&amp;rft.publisher=MESHS&amp;rft.aufirst=Alix&amp;rft.aulast=Chagu%C3%A9&amp;rft.au=Alix%20Chagu%C3%A9&amp;rft.au=Thibault%20Cl%C3%A9rice&amp;rft.au=Laurent%20Romary&amp;rft.date=2021"></span>
  <div class="csl-entry">Chagué, A., Clérice, T., &amp; Romary, L. (2022). <i>HTR-United : Un écosystème pour une approche mutualisée de la transcription automatique des écritures manuscrites</i>. <a href="https://inria.hal.science/hal-04124743">https://inria.hal.science/hal-04124743</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Adc&amp;rft.type=document&amp;rft.title=HTR-United%20%3A%20un%20%C3%A9cosyst%C3%A8me%20pour%20une%20approche%20mutualis%C3%A9e%20de%20la%20transcription%20automatique%20des%20%C3%A9critures%20manuscrites&amp;rft.description=La%20reconnaissance%20des%20%C3%A9critures%20manuscrites%20(HTR%20pour%20Handwritten%20Text%20Recognition)%20est%20un%20proc%C3%A9d%C3%A9%20informatique%20qui%20vise%20%C3%A0%20obtenir%20un%20%C3%A9quivalent%20de%20texte%20num%C3%A9rique%20%C3%A0%20partir%20de%20l'image%20d'un%20document%20physique%20comportant%20du%20texte%20manuscrit.%20S'appuyant%20sur%20Github%2C%20HTR-United%20invite%20la%20communaut%C3%A9%20des%20utilisateurs%20%C3%A0%20d%C3%A9cloisonner%20les%20donn%C3%A9es%20issues%20de%20diff%C3%A9rentes%20plateformes%20HTR%20afin%20de%20r%C3%A9duire%20leur%20co%C3%BBt%20de%20production.%20Cette%20solution%20propose%20un%20mod%C3%A8le%20op%C3%A9rationnel%20susceptible%20d'offrir%20un%20cadre%20pour%20la%20construction%20de%20data%20papers%20pour%20l'HTR%2C%20voire%20les%20pr%C3%A9mices%20d'une%20standardisation%20pour%20ce%20genre%20de%20publication%20Mots-cl%C3%A9s%20Reconnaissance%20des%20%C3%A9critures%20manuscrites%2C%20reconnaissance%20optique%20de%20caract%C3%A8res%2C%20num%C3%A9risation%2C%20mutualisation%2C%20Github%2C%20articles%20de%20donn%C3%A9es&amp;rft.identifier=https%3A%2F%2Finria.hal.science%2Fhal-04124743&amp;rft.aufirst=Alix&amp;rft.aulast=Chagu%C3%A9&amp;rft.au=Alix%20Chagu%C3%A9&amp;rft.au=Thibault%20Cl%C3%A9rice&amp;rft.au=Laurent%20Romary&amp;rft.date=2022&amp;rft.language=fr"></span>
  <div class="csl-entry">Clérice, T. (2023). You Actually Look Twice At it (YALTAi) : Using an object detection approach instead of region segmentation within the Kraken engine. <i>Journal of Data Mining &amp; Digital Humanities</i>, <i>Documents historiques et reconnaissance automatique de textes</i>, 9806. <a href="https://doi.org/10.46298/jdmdh.9806">https://doi.org/10.46298/jdmdh.9806</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_id=info%3Adoi%2F10.46298%2Fjdmdh.9806&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Ajournal&amp;rft.genre=article&amp;rft.atitle=You%20Actually%20Look%20Twice%20At%20it%20(YALTAi)%3A%20using%20an%20object%20detection%20approach%20instead%20of%20region%20segmentation%20within%20the%20Kraken%20engine&amp;rft.jtitle=Journal%20of%20Data%20Mining%20%26%20Digital%20Humanities&amp;rft.volume=Documents%20historiques%20et%20reconnaissance%20automatique%20de%20textes&amp;rft.aufirst=Thibault&amp;rft.aulast=Cl%C3%A9rice&amp;rft.au=Thibault%20Cl%C3%A9rice&amp;rft.date=2023&amp;rft.pages=9806&amp;rft.issn=2416-5999&amp;rft.language=en"></span>
  <div class="csl-entry">Clérice, T., Vlachou-Efstathiou, M., &amp; Chagué, A. (2023). CREMMA Medii Aevi : Literary Manuscript Text Recognition in Latin. <i>Journal of Open Humanities Data</i>, <i>9</i>(1). <a href="https://doi.org/10.5334/johd.97">https://doi.org/10.5334/johd.97</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_id=info%3Adoi%2F10.5334%2Fjohd.97&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Ajournal&amp;rft.genre=article&amp;rft.atitle=CREMMA%20Medii%20Aevi%3A%20Literary%20Manuscript%20Text%20Recognition%20in%20Latin&amp;rft.jtitle=Journal%20of%20Open%20Humanities%20Data&amp;rft.volume=9&amp;rft.issue=1&amp;rft.aufirst=Thibault&amp;rft.aulast=Cl%C3%A9rice&amp;rft.au=Thibault%20Cl%C3%A9rice&amp;rft.au=Malamatenia%20Vlachou-Efstathiou&amp;rft.au=Alix%20Chagu%C3%A9&amp;rft.date=2023&amp;rft.issn=2059-481X&amp;rft.language=en"></span>
  <div class="csl-entry">Gabay, S., Pinche, A., Christensen, K., &amp; Camps, J.-B. (2023). <i>SegmOnto : A Controlled Vocabulary to Describe and Process Digital Facsimiles</i>. <a href="https://hal.science/hal-04343404">https://hal.science/hal-04343404</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Adc&amp;rft.type=manuscript&amp;rft.title=SegmOnto%3A%20A%20Controlled%20Vocabulary%20to%20Describe%20and%20Process%20Digital%20Facsimiles&amp;rft.description=Our%20initiative%20aims%20at%20designing%20a%20controlled%20vocabulary%20for%20the%20description%20of%20the%20layout%20of%20textual%20sources%3A%20SegmOnto.%20Following%20a%20codicological%20approach%20rather%20than%20a%20semantic%20one%2C%20it%20is%20designed%20as%20a%20generic%20typology%2C%20coping%20with%20a%20maximal%20number%20of%20cases%20rather%20than%20answering%20specific%20needs.%20The%20harmonisation%20of%20the%20layout%20description%20has%20a%20double%20objective%3A%20on%20the%20one%20hand%20it%20facilitates%20the%20mutualisation%20of%20annotated%20data%20and%20therefore%20the%20training%20of%20better%20models%20for%20image%20segmentation%20(a%20crucial%20preliminary%20step%20for%20text%20recognition)%2C%20on%20the%20other%20hand%20it%20allows%20the%20development%20of%20a%20shared%20post-processing%20workflow%20and%20pipeline%20for%20the%20transformation%20of%20ALTO%20or%20PAGE%20files%20into%20DH%20standard%20formats%2C%20which%20preserves%20as%20much%20as%20possible%20the%20link%20between%20the%20extracted%20information%20and%20the%20digital%20facsimile.&amp;rft.identifier=https%3A%2F%2Fhal.science%2Fhal-04343404&amp;rft.aufirst=Simon&amp;rft.aulast=Gabay&amp;rft.au=Simon%20Gabay&amp;rft.au=Ariane%20Pinche&amp;rft.au=Kelly%20Christensen&amp;rft.au=Jean-Baptiste%20Camps&amp;rft.date=2023"></span>
  <div class="csl-entry">Gatos, B., Louloudis, G., Stamatopoulos, N., Retsinas, G., Sfikas, G., Giotis, A., Simistira Liwicki, F., Papavassiliou, V., &amp; Katsouros, V. (2020). OldDocPro : Old Greek Document Recognition. In A. Fischer, M. Liwicki, &amp; R. Ingold (Éds.), <i>Handwritten Historical Document Analysis, Recognition, and Retrieval—State of the Art and Future Trends</i> (Vol. 89, p. 157‑174). World Scientific. <a href="https://doi.org/10.1142/11353">https://doi.org/10.1142/11353</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_id=urn%3Aisbn%3A9789811203237%209789811203244&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Abook&amp;rft.genre=bookitem&amp;rft.atitle=OldDocPro%3A%20Old%20Greek%20Document%20Recognition&amp;rft.place=Hackensack&amp;rft.publisher=World%20Scientific&amp;rft.series=Series%20in%20Machine%20Perception%20and%20Artificial%20Intelligence&amp;rft.aufirst=Basilis&amp;rft.aulast=Gatos&amp;rft.au=Andreas%20Fischer&amp;rft.au=Marcus%20Liwicki&amp;rft.au=Rolf%20Ingold&amp;rft.au=Basilis%20Gatos&amp;rft.au=Georgios%20Louloudis&amp;rft.au=Nikolaos%20Stamatopoulos&amp;rft.au=George%20Retsinas&amp;rft.au=Giorgos%20Sfikas&amp;rft.au=Angelos%20Giotis&amp;rft.au=Foteini%20Simistira%20Liwicki&amp;rft.au=Vassilis%20Papavassiliou&amp;rft.au=Vassilis%20Katsouros&amp;rft.date=2020&amp;rft.pages=157-174&amp;rft.spage=157&amp;rft.epage=174&amp;rft.isbn=9789811203237%209789811203244&amp;rft.language=en"></span>
  <div class="csl-entry">Guénette, M., Verstraete, M., Chagué, A., &amp; Vitali-Rosati, M. (2024a). <i>HTR Model Palatinus graecus 23 (Meleagre-NFC)</i> [Jeu de données]. Zenodo. <a href="https://doi.org/10.5281/zenodo.10932711">https://doi.org/10.5281/zenodo.10932711</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_id=info%3Adoi%2F10.5281%2Fzenodo.10932711&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Adc&amp;rft.type=dataset&amp;rft.title=HTR%20Model%20Palatinus%20graecus%2023%20(Meleagre-NFC)&amp;rft.description=HTR%20model%20for%20the%20Codex%20palatinus%20graecus%2023%20(Palatine%20Anthology)%2C%20Byzantine%20Greek%20writing%20from%20the%20Xth%20century.%0A%0AThe%20model%20was%20trained%20from%20the%20ground%20truth%20produced%20by%20the%20Canada%20Research%20Chair%20on%20Digital%20Textualities%2C%20as%20part%20of%20the%C2%A0Anthologia%20graeca%20project.%20We%20focused%20our%20ground%20truth%20on%2050%20pages%20(143-195)%20and%20did%20finetuning%20on%2020%20extra%20pages%20(196-215).%0A%0AThis%20model%20was%20trained%20from%20scratch%20using%20NFC.%0A%0AA%20segmentation%20model%20(meleagre-segment)%20was%20also%20trained%20with%20the%2070%20pages%20transcribed.&amp;rft.identifier=urn%3Adoi%3A10.5281%2Fzenodo.10932711&amp;rft.aufirst=Maxime&amp;rft.aulast=Gu%C3%A9nette&amp;rft.au=Maxime%20Gu%C3%A9nette&amp;rft.au=Mathilde%20Verstraete&amp;rft.au=Alix%20Chagu%C3%A9&amp;rft.au=Marcello%20Vitali-Rosati&amp;rft.date=2024-04-05"></span>
  <div class="csl-entry">Guénette, M., Verstraete, M., Chagué, A., &amp; Vitali-Rosati, M. (2024b). <i>HTR Model Palatinus graecus 23 (Meleagre-NFD)</i> [Jeu de données]. Zenodo. <a href="https://doi.org/10.5281/zenodo.10932742">https://doi.org/10.5281/zenodo.10932742</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_id=info%3Adoi%2F10.5281%2Fzenodo.10932742&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Adc&amp;rft.type=dataset&amp;rft.title=HTR%20Model%20Palatinus%20graecus%2023%20(Meleagre-NFD)&amp;rft.description=HTR%20model%20for%20the%20Codex%20palatinus%20graecus%2023%20(Palatine%20Anthology)%2C%20Byzantine%20Greek%20writing%20from%20the%20Xth%20century.%0A%0AThe%20model%20was%20trained%20from%20the%20ground%20truth%20produced%20by%20the%20Canada%20Research%20Chair%20on%20Digital%20Textualities%2C%20as%20part%20of%20the%C2%A0Anthologia%20graeca%20project.%20We%20focused%20our%20ground%20truth%20on%2050%20pages%20(143-195)%20and%20did%20finetuning%20on%2020%20extra%20pages%20(196-215).%0A%0AThis%20model%20was%20trained%20from%20scratch%20using%20NFD.%0A%0AA%20segmentation%20model%20(meleagre-segment)%20was%20also%20trained%20with%20the%2070%20pages%20transcribed.&amp;rft.identifier=urn%3Adoi%3A10.5281%2Fzenodo.10932742&amp;rft.aufirst=Maxime&amp;rft.aulast=Gu%C3%A9nette&amp;rft.au=Maxime%20Gu%C3%A9nette&amp;rft.au=Mathilde%20Verstraete&amp;rft.au=Alix%20Chagu%C3%A9&amp;rft.au=Marcello%20Vitali-Rosati&amp;rft.date=2024-04-05"></span>
  <div class="csl-entry">Guénette, M., Verstraete, M., Chagué, A., &amp; Vitali-Rosati, M. (2024c). <i>HTR Model Palatinus graecus 23 (Meleagre-NFD-finetuned)</i> [Jeu de données]. Zenodo. <a href="https://doi.org/10.5281/zenodo.10932751">https://doi.org/10.5281/zenodo.10932751</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_id=info%3Adoi%2F10.5281%2Fzenodo.10932751&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Adc&amp;rft.type=dataset&amp;rft.title=HTR%20Model%20Palatinus%20graecus%2023%20(Meleagre-NFD-finetuned)&amp;rft.description=HTR%20model%20for%20the%20Codex%20palatinus%20graecus%2023%20(Palatine%20Anthology)%2C%20Byzantine%20Greek%20writing%20from%20the%20Xth%20century.%0A%0AThe%20model%20was%20trained%20from%20the%20ground%20truth%20produced%20by%20the%20Canada%20Research%20Chair%20on%20Digital%20Textualities%2C%20as%20part%20of%20the%C2%A0Anthologia%20graeca%20project.%20We%20focused%20our%20ground%20truth%20on%2050%20pages%20(143-195)%20and%20did%20finetuning%20on%2020%20extra%20pages%20(196-215).%0A%0AThis%20model%20was%20trained%20from%20the%20CREMMA%20Medieval%20model%20using%20NFD.%0A%0AA%20segmentation%20model%20(meleagre-segment)%20was%20also%20trained%20with%20the%2070%20pages%20transcribed.&amp;rft.identifier=urn%3Adoi%3A10.5281%2Fzenodo.10932751&amp;rft.aufirst=Maxime&amp;rft.aulast=Gu%C3%A9nette&amp;rft.au=Maxime%20Gu%C3%A9nette&amp;rft.au=Mathilde%20Verstraete&amp;rft.au=Alix%20Chagu%C3%A9&amp;rft.au=Marcello%20Vitali-Rosati&amp;rft.date=2024-04-05"></span>
  <div class="csl-entry">Hodel, T., Schoch, D., Schneider, C., &amp; Purcell, J. (2021). General Models for Handwritten Text Recognition : Feasibility and State-of-the Art. German Kurrent as an Example. <i>Journal of Open Humanities Data</i>, <i>7</i>(13), Article 0. <a href="https://doi.org/10.5334/johd.46">https://doi.org/10.5334/johd.46</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_id=info%3Adoi%2F10.5334%2Fjohd.46&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Ajournal&amp;rft.genre=article&amp;rft.atitle=General%20Models%20for%20Handwritten%20Text%20Recognition%3A%20Feasibility%20and%20State-of-the%20Art.%20German%20Kurrent%20as%20an%20Example&amp;rft.jtitle=Journal%20of%20Open%20Humanities%20Data&amp;rft.volume=7&amp;rft.issue=13&amp;rft.aufirst=Tobias&amp;rft.aulast=Hodel&amp;rft.au=Tobias%20Hodel&amp;rft.au=David%20Schoch&amp;rft.au=Christa%20Schneider&amp;rft.au=Jake%20Purcell&amp;rft.date=2021-07-09&amp;rft.pages=1-10&amp;rft.spage=1&amp;rft.epage=10&amp;rft.issn=2059-481X&amp;rft.language=en"></span>
  <div class="csl-entry">Kaddas, P., Gatos, B., Palaiologos, K., Christopoulou, K., &amp; Kritsis, K. (2023). Text Line Detection and&nbsp;Recognition of&nbsp;Greek Polytonic Documents. In M. Coustaty &amp; A. Fornés (Éds.), <i>Document Analysis and Recognition – ICDAR 2023 Workshops</i> (p. 213‑225). Springer Nature Switzerland. <a href="https://doi.org/10.1007/978-3-031-41501-2_15">https://doi.org/10.1007/978-3-031-41501-2_15</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_id=info%3Adoi%2F10.1007%2F978-3-031-41501-2_15&amp;rft_id=urn%3Aisbn%3A978-3-031-41501-2&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Abook&amp;rft.genre=proceeding&amp;rft.atitle=Text%20Line%20Detection%20and%C2%A0Recognition%20of%C2%A0Greek%20Polytonic%20Documents&amp;rft.btitle=Document%20Analysis%20and%20Recognition%20%E2%80%93%20ICDAR%202023%20Workshops&amp;rft.place=Cham&amp;rft.publisher=Springer%20Nature%20Switzerland&amp;rft.series=Lecture%20Notes%20in%20Computer%20Science&amp;rft.aufirst=Panagiotis&amp;rft.aulast=Kaddas&amp;rft.au=Panagiotis%20Kaddas&amp;rft.au=Basilis%20Gatos&amp;rft.au=Konstantinos%20Palaiologos&amp;rft.au=Katerina%20Christopoulou&amp;rft.au=Konstantinos%20Kritsis&amp;rft.au=Mickael%20Coustaty&amp;rft.au=Alicia%20Forn%C3%A9s&amp;rft.date=2023&amp;rft.pages=213-225&amp;rft.spage=213&amp;rft.epage=225&amp;rft.isbn=978-3-031-41501-2&amp;rft.language=en"></span>
  <div class="csl-entry">Kaddas, P., Palaiologos, K., Gatos, B., Katsouros, V., &amp; Christopoulou, K. (2023). A System for Processing and Recognition of Greek Byzantine and Post-Byzantine Documents. In G. A. Fink, R. Jain, K. Kise, &amp; R. Zanibbi (Éds.), <i>Document Analysis and Recognition—ICDAR 2023</i> (p. 366‑376). Springer Nature Switzerland. <a href="https://doi.org/10.1007/978-3-031-41685-9_23">https://doi.org/10.1007/978-3-031-41685-9_23</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_id=info%3Adoi%2F10.1007%2F978-3-031-41685-9_23&amp;rft_id=urn%3Aisbn%3A978-3-031-41685-9&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Abook&amp;rft.genre=proceeding&amp;rft.atitle=A%20System%20for%20Processing%20and%20Recognition%20of%20Greek%20Byzantine%20and%20Post-Byzantine%20Documents&amp;rft.btitle=Document%20Analysis%20and%20Recognition%20-%20ICDAR%202023&amp;rft.place=Cham&amp;rft.publisher=Springer%20Nature%20Switzerland&amp;rft.series=Lecture%20Notes%20in%20Computer%20Science&amp;rft.aufirst=Panagiotis&amp;rft.aulast=Kaddas&amp;rft.au=Panagiotis%20Kaddas&amp;rft.au=Konstantinos%20Palaiologos&amp;rft.au=Basilis%20Gatos&amp;rft.au=Vassilis%20Katsouros&amp;rft.au=Katerina%20Christopoulou&amp;rft.au=Gernot%20A.%20Fink&amp;rft.au=Rajiv%20Jain&amp;rft.au=Koichi%20Kise&amp;rft.au=Richard%20Zanibbi&amp;rft.date=2023&amp;rft.pages=366-376&amp;rft.spage=366&amp;rft.epage=376&amp;rft.isbn=978-3-031-41685-9&amp;rft.language=en"></span>
  <div class="csl-entry">Katsouros, V., Papavassiliou, V., Simistira, F., &amp; Gatos, B. (2016). Recognition of Greek Polytonic on Historical Degraded Texts Using HMMs. <i>2016 12th IAPR Workshop on Document Analysis Systems (DAS)</i>, 346‑351. <a href="https://doi.org/10.1109/DAS.2016.60">https://doi.org/10.1109/DAS.2016.60</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_id=info%3Adoi%2F10.1109%2FDAS.2016.60&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Abook&amp;rft.genre=proceeding&amp;rft.atitle=Recognition%20of%20Greek%20Polytonic%20on%20Historical%20Degraded%20Texts%20Using%20HMMs&amp;rft.btitle=2016%2012th%20IAPR%20Workshop%20on%20Document%20Analysis%20Systems%20(DAS)&amp;rft.aufirst=Vassilis&amp;rft.aulast=Katsouros&amp;rft.au=Vassilis%20Katsouros&amp;rft.au=Vassilis%20Papavassiliou&amp;rft.au=Fotini%20Simistira&amp;rft.au=Basilis%20Gatos&amp;rft.date=2016&amp;rft.pages=346-351&amp;rft.spage=346&amp;rft.epage=351"></span>
  <div class="csl-entry">Kiessling, B. (2019). <i>Kraken—An Universal Text Recognizer for the Humanities</i>. ADHO 2019. <a href="https://dh-abstracts.library.cmu.edu/works/9912">https://dh-abstracts.library.cmu.edu/works/9912</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Abook&amp;rft.genre=proceeding&amp;rft.atitle=Kraken%20-%20an%20Universal%20Text%20Recognizer%20for%20the%20Humanities&amp;rft.aufirst=Benjamin&amp;rft.aulast=Kiessling&amp;rft.au=Benjamin%20Kiessling&amp;rft.date=2019&amp;rft.language=en"></span>
  <div class="csl-entry">Kiessling, B., Tissot, R., Stokes, P., &amp; Stökl Ben Ezra, D. (2019). eScriptorium : An Open Source Platform for Historical Document Analysis. <i>2019 International Conference on Document Analysis and Recognition Workshops (ICDARW)</i>, 19‑24. <a href="https://doi.org/10.1109/ICDARW.2019.10032">https://doi.org/10.1109/ICDARW.2019.10032</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_id=info%3Adoi%2F10.1109%2FICDARW.2019.10032&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Abook&amp;rft.genre=proceeding&amp;rft.atitle=eScriptorium%3A%20An%20Open%20Source%20Platform%20for%20Historical%20Document%20Analysis&amp;rft.btitle=2019%20International%20Conference%20on%20Document%20Analysis%20and%20Recognition%20Workshops%20(ICDARW)&amp;rft.aufirst=Benjamin&amp;rft.aulast=Kiessling&amp;rft.au=Benjamin%20Kiessling&amp;rft.au=Robin%20Tissot&amp;rft.au=Peter%20Stokes&amp;rft.au=Daniel%20St%C3%B6kl%20Ben%20Ezra&amp;rft.date=2019-09&amp;rft.pages=19-24&amp;rft.spage=19&amp;rft.epage=24"></span>
  <div class="csl-entry">Kindt, B., Vidal-Gorène, C., &amp; Delle Donne, S. (2022). Analyse automatique du grec ancien par réseau de neurones. Évaluation sur le corpus De Thessalonica Capta. <i>Bulletin de l’Académie Belge pour l’Étude des Langues Anciennes et Orientales</i>, <i>1011</i>, 537‑562. <a href="https://doi.org/10.14428/babelao.vol1011.2022.65073">https://doi.org/10.14428/babelao.vol1011.2022.65073</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_id=info%3Adoi%2F10.14428%2Fbabelao.vol1011.2022.65073&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Ajournal&amp;rft.genre=article&amp;rft.atitle=Analyse%20automatique%20du%20grec%20ancien%20par%20r%C3%A9seau%20de%20neurones.%20%C3%89valuation%20sur%20le%20corpus%20De%20Thessalonica%20Capta&amp;rft.jtitle=Bulletin%20de%20l%E2%80%99Acad%C3%A9mie%20Belge%20pour%20l%E2%80%99%C3%89tude%20des%20Langues%20Anciennes%20et%20Orientales&amp;rft.volume=1011&amp;rft.aufirst=Bastien&amp;rft.aulast=Kindt&amp;rft.au=Bastien%20Kindt&amp;rft.au=Chahan%20Vidal-Gor%C3%A8ne&amp;rft.au=Saulo%20Delle%20Donne&amp;rft.date=2022&amp;rft.pages=537%E2%80%93562&amp;rft.spage=537&amp;rft.epage=562"></span>
  <div class="csl-entry">Lombardi, F., &amp; Marinai, S. (2020). Deep Learning for Historical Document Analysis and Recognition—A Survey. <i>Journal of Imaging</i>, <i>6</i>(10), Article 10. <a href="https://doi.org/10.3390/jimaging6100110">https://doi.org/10.3390/jimaging6100110</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_id=info%3Adoi%2F10.3390%2Fjimaging6100110&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Ajournal&amp;rft.genre=article&amp;rft.atitle=Deep%20Learning%20for%20Historical%20Document%20Analysis%20and%20Recognition%E2%80%94A%20Survey&amp;rft.jtitle=Journal%20of%20Imaging&amp;rft.volume=6&amp;rft.issue=10&amp;rft.aufirst=Francesco&amp;rft.aulast=Lombardi&amp;rft.au=Francesco%20Lombardi&amp;rft.au=Simone%20Marinai&amp;rft.date=2020-10&amp;rft.pages=110&amp;rft.issn=2313-433X&amp;rft.language=en"></span>
  <div class="csl-entry">Markou, K., Tsochatzidis, L., Zagoris, K., Papazoglou, A., Karagiannis, X., Symeonidis, S., &amp; Pratikakis, I. (2021). A Convolutional Recurrent Neural Network for the Handwritten Text Recognition of Historical Greek Manuscripts. In A. Del Bimbo, R. Cucchiara, S. Sclaroff, G. M. Farinella, T. Mei, M. Bertini, H. J. Escalante, &amp; R. Vezzani (Éds.), <i>Pattern Recognition. ICPR International Workshops and Challenges</i> (p. 249‑262). Springer International Publishing. <a href="https://doi.org/10.1007/978-3-030-68787-8_18">https://doi.org/10.1007/978-3-030-68787-8_18</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_id=info%3Adoi%2F10.1007%2F978-3-030-68787-8_18&amp;rft_id=urn%3Aisbn%3A978-3-030-68787-8&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Abook&amp;rft.genre=proceeding&amp;rft.atitle=A%20Convolutional%20Recurrent%20Neural%20Network%20for%20the%20Handwritten%20Text%20Recognition%20of%20Historical%20Greek%20Manuscripts&amp;rft.btitle=Pattern%20Recognition.%20ICPR%20International%20Workshops%20and%20Challenges&amp;rft.place=Cham&amp;rft.publisher=Springer%20International%20Publishing&amp;rft.series=Lecture%20Notes%20in%20Computer%20Science&amp;rft.aufirst=K.&amp;rft.aulast=Markou&amp;rft.au=K.%20Markou&amp;rft.au=L.%20Tsochatzidis&amp;rft.au=K.%20Zagoris&amp;rft.au=A.%20Papazoglou&amp;rft.au=X.%20Karagiannis&amp;rft.au=S.%20Symeonidis&amp;rft.au=I.%20Pratikakis&amp;rft.au=Alberto%20Del%20Bimbo&amp;rft.au=Rita%20Cucchiara&amp;rft.au=Stan%20Sclaroff&amp;rft.au=Giovanni%20Maria%20Farinella&amp;rft.au=Tao%20Mei&amp;rft.au=Marco%20Bertini&amp;rft.au=Hugo%20Jair%20Escalante&amp;rft.au=Roberto%20Vezzani&amp;rft.date=2021&amp;rft.pages=249-262&amp;rft.spage=249&amp;rft.epage=262&amp;rft.isbn=978-3-030-68787-8&amp;rft.language=en"></span>
  <div class="csl-entry">Patel, C., Patel, A., &amp; Patel, D. (2012). Optical Character Recognition by Open Source OCR Tool Tesseract : A Case Study. <i>International Journal of Computer Applications</i>, <i>55</i>(10), 50‑56. <a href="https://doi.org/10.5120/8794-2784">https://doi.org/10.5120/8794-2784</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_id=info%3Adoi%2F10.5120%2F8794-2784&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Ajournal&amp;rft.genre=article&amp;rft.atitle=Optical%20Character%20Recognition%20by%20Open%20Source%20OCR%20Tool%20Tesseract%3A%20A%20Case%20Study&amp;rft.jtitle=International%20Journal%20of%20Computer%20Applications&amp;rft.volume=55&amp;rft.issue=10&amp;rft.aufirst=Chirag&amp;rft.aulast=Patel&amp;rft.au=Chirag%20Patel&amp;rft.au=Atul%20Patel&amp;rft.au=Dharmendra%20Patel&amp;rft.date=2012&amp;rft.pages=50-56&amp;rft.spage=50&amp;rft.epage=56&amp;rft.issn=0975-8887"></span>
  <div class="csl-entry">Pavlopoulos, J., Kougia, V., Arias, E. G., Platanou, P., Shabalin, S., Liagkou, K., Papadatos, E., Essler, H., Camps, J.-B., &amp; Fischer, F. (2024). <i>Challenging Error Correction in Recognised Byzantine Greek</i>. <a href="https://doi.org/10.21203/rs.3.rs-2921088/v3">https://doi.org/10.21203/rs.3.rs-2921088/v3</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_id=info%3Adoi%2F10.21203%2Frs.3.rs-2921088%2Fv3&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Adc&amp;rft.type=preprint&amp;rft.title=Challenging%20Error%20Correction%20in%20Recognised%20Byzantine%20Greek&amp;rft.rights=https%3A%2F%2Fcreativecommons.org%2Flicenses%2Fby%2F4.0%2F&amp;rft.description=Abstract%0A%20%20%20%20%20%20%20%20%20%20Automatic%20correction%20of%20errors%20in%20Handwritten%20Text%20Recognition%20(HTR)%20output%20poses%20persistent%20challenges%20yet%20to%20be%20fully%20resolved.%20In%20this%20study%2C%20we%20introduce%20a%20shared%20task%20aimed%20at%20addressing%20this%20challenge%2C%20which%20attracted%20271%20submissions%2C%20yielding%20only%20a%20handful%20of%20successful%20approaches.%20This%20paper%20presents%20the%20datasets%2C%20the%20most%20effective%20methods%2C%20and%20an%20experimental%20analysis%20in%20error-correcting%20HTRed%20manuscripts%20and%20papyri%20in%20Byzantine%20Greek%2C%20the%20language%20that%20followed%20Classical%20and%20preceded%20Modern%20Greek.%20By%20using%20recognised%20and%20transcribed%20data%20from%20seven%20centuries%2C%20the%20two%20best-performing%20methods%20are%20compared%2C%20one%20based%20on%20a%20neural%20encoder-decoder%20architecture%20and%20the%20other%20based%20on%20linguistic%20knowledge.%20We%20show%20that%20the%20recognition%20error%20rate%20can%20be%20reduced%20by%20both%2C%20up%20to%202.5%20points%20at%20the%20level%20of%20characters%20and%20up%20to%2015%20at%20the%20level%20of%20words%2C%20while%20also%20elucidating%20their%20respective%20strengths%20and%20weaknesses.&amp;rft.identifier=urn%3Adoi%3A10.21203%2Frs.3.rs-2921088%2Fv3&amp;rft.aufirst=John&amp;rft.aulast=Pavlopoulos&amp;rft.au=John%20Pavlopoulos&amp;rft.au=Vasiliki%20Kougia&amp;rft.au=Esteban%20Garces%20Arias&amp;rft.au=Paraskevi%20Platanou&amp;rft.au=Stepan%20Shabalin&amp;rft.au=Konstantina%20Liagkou&amp;rft.au=Emmanouil%20Papadatos&amp;rft.au=Holger%20Essler&amp;rft.au=Jean-Baptiste%20Camps&amp;rft.au=Franz%20Fischer&amp;rft.date=2024-02-20"></span>
  <div class="csl-entry">Pavlopoulos, J., Kougia, V., Platanou, P., &amp; Essler, H. (2023). Detecting Erroneously Recognized Handwritten Byzantine Text. <i>Findings of the Association for Computational Linguistics: EMNLP 2023</i>, 7818‑7828. <a href="https://doi.org/10.18653/v1/2023.findings-emnlp.524">https://doi.org/10.18653/v1/2023.findings-emnlp.524</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_id=info%3Adoi%2F10.18653%2Fv1%2F2023.findings-emnlp.524&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Abook&amp;rft.genre=proceeding&amp;rft.atitle=Detecting%20Erroneously%20Recognized%20Handwritten%20Byzantine%20Text&amp;rft.btitle=Findings%20of%20the%20Association%20for%20Computational%20Linguistics%3A%20EMNLP%202023&amp;rft.place=Singapore&amp;rft.publisher=Association%20for%20Computational%20Linguistics&amp;rft.aufirst=John&amp;rft.aulast=Pavlopoulos&amp;rft.au=John%20Pavlopoulos&amp;rft.au=Vasiliki%20Kougia&amp;rft.au=Paraskevi%20Platanou&amp;rft.au=Holger%20Essler&amp;rft.date=2023&amp;rft.pages=7818-7828&amp;rft.spage=7818&amp;rft.epage=7828&amp;rft.language=en"></span>
  <div class="csl-entry">Pavlopoulos, J., Kougia, V., Platanou, P., Shabalin, S., Liagkou, K., Papadatos, E., Essler, H., Camps, J.-B., &amp; Fischer, F. (2023, mai 15). <i>Error Correcting HTR’ed Byzantine Text</i>. <a href="https://doi.org/10.21203/rs.3.rs-2921088/v1">https://doi.org/10.21203/rs.3.rs-2921088/v1</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_id=info%3Adoi%2F10.21203%2Frs.3.rs-2921088%2Fv1&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Abook&amp;rft.genre=proceeding&amp;rft.atitle=Error%20Correcting%20HTR%E2%80%99ed%20Byzantine%20Text&amp;rft.aufirst=John&amp;rft.aulast=Pavlopoulos&amp;rft.au=John%20Pavlopoulos&amp;rft.au=Vasiliki%20Kougia&amp;rft.au=Paraskevi%20Platanou&amp;rft.au=Stepan%20Shabalin&amp;rft.au=Konstantina%20Liagkou&amp;rft.au=Emmanouil%20Papadatos&amp;rft.au=Holger%20Essler&amp;rft.au=Jean-Baptiste%20Camps&amp;rft.au=Franz%20Fischer&amp;rft.date=2023-05-15"></span>
  <div class="csl-entry">Perdiki, E. (2021). <i>Transkribus : Reviewing HTR training on (Greek) manuscripts – RIDE</i>. <a href="https://ride.i-d-e.de/issues/issue-15/transkribus/">https://ride.i-d-e.de/issues/issue-15/transkribus/</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Adc&amp;rft.type=blogPost&amp;rft.title=Transkribus%3A%20Reviewing%20HTR%20training%20on%20(Greek)%20manuscripts%20%E2%80%93%20RIDE&amp;rft.identifier=https%3A%2F%2Fride.i-d-e.de%2Fissues%2Fissue-15%2Ftranskribus%2F&amp;rft.aufirst=Elpida&amp;rft.aulast=Perdiki&amp;rft.au=Elpida%20Perdiki&amp;rft.date=2021&amp;rft.language=en"></span>
  <div class="csl-entry">Perdiki, E. (2023). Preparing Big Manuscript Data for Hierarchical Clustering with Minimal HTR Training. <i>Journal of Data Mining &amp; Digital Humanities</i>, <i>Documents historiques et reconnaissance automatique de textes</i>, 10419. <a href="https://doi.org/10.46298/jdmdh.10419">https://doi.org/10.46298/jdmdh.10419</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_id=info%3Adoi%2F10.46298%2Fjdmdh.10419&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Ajournal&amp;rft.genre=article&amp;rft.atitle=Preparing%20Big%20Manuscript%20Data%20for%20Hierarchical%20Clustering%20with%20Minimal%20HTR%20Training&amp;rft.jtitle=Journal%20of%20Data%20Mining%20%26%20Digital%20Humanities&amp;rft.volume=Documents%20historiques%20et%20reconnaissance%20automatique%20de%20textes&amp;rft.aufirst=Elpida&amp;rft.aulast=Perdiki&amp;rft.au=Elpida%20Perdiki&amp;rft.date=2023&amp;rft.pages=10419&amp;rft.issn=2416-5999&amp;rft.language=en"></span>
  <div class="csl-entry">Perdiki, E., &amp; Konstantinidou, M. (2021). Handling Big Manuscript Data – Classics@ Journal. <i>Classics@ Journal</i>, <i>18</i>(1). <a href="https://classics-at.chs.harvard.edu/classics18-perdiki-and-konstantinidou/">https://classics-at.chs.harvard.edu/classics18-perdiki-and-konstantinidou/</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Ajournal&amp;rft.genre=article&amp;rft.atitle=Handling%20Big%20Manuscript%20Data%20%E2%80%93%20Classics%40%20Journal&amp;rft.jtitle=Classics%40%20Journal&amp;rft.volume=18&amp;rft.issue=1&amp;rft.aufirst=Elpida&amp;rft.aulast=Perdiki&amp;rft.au=Elpida%20Perdiki&amp;rft.au=Maria%20Konstantinidou&amp;rft.date=2021&amp;rft.language=en-US"></span>
  <div class="csl-entry">Pinche, A. (2022). <i>Guide de transcription pour les manuscrits du Xe au XVe siècle</i>.</div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Adc&amp;rft.type=document&amp;rft.title=Guide%20de%20transcription%20pour%20les%20manuscrits%20du%20Xe%20au%20XVe%20si%C3%A8cle&amp;rft.aufirst=Ariane&amp;rft.aulast=Pinche&amp;rft.au=Ariane%20Pinche&amp;rft.date=2022&amp;rft.language=fr"></span>
  <div class="csl-entry">Pinche, A. (2023). Generic HTR Models for Medieval Manuscripts. The CREMMALab Project. <i>Journal of Data Mining &amp; Digital Humanities</i>, <i>Documents historiques et reconnaissance automatique de textes</i>, 10252. <a href="https://doi.org/10.46298/jdmdh.10252">https://doi.org/10.46298/jdmdh.10252</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_id=info%3Adoi%2F10.46298%2Fjdmdh.10252&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Ajournal&amp;rft.genre=article&amp;rft.atitle=Generic%20HTR%20Models%20for%20Medieval%20Manuscripts.%20The%20CREMMALab%20Project&amp;rft.jtitle=Journal%20of%20Data%20Mining%20%26%20Digital%20Humanities&amp;rft.volume=Documents%20historiques%20et%20reconnaissance%20automatique%20de%20textes&amp;rft.aufirst=Ariane&amp;rft.aulast=Pinche&amp;rft.au=Ariane%20Pinche&amp;rft.date=2023&amp;rft.pages=10252&amp;rft.issn=2416-5999&amp;rft.language=en"></span>
  <div class="csl-entry">Pinche, A., Clérice, T., Chagué, A., Camps, J.-B., Vlachou-Efstathiou, M., Levenson, M. G., Brisville-Fertin, O., Boschetti, F., Fischer, F., Gervers, M., Boutreux, A., Manton, A., Gabay, S., Haverals, W., Kestemont, M., Vandyck, C., &amp; O’Connor, P. (2024). <i>CATMuS-Medieval : Consistent Approaches to Transcribing ManuScripts</i>. DH2024. <a href="https://inria.hal.science/hal-04346939">https://inria.hal.science/hal-04346939</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Abook&amp;rft.genre=proceeding&amp;rft.atitle=CATMuS-Medieval%3A%20Consistent%20Approaches%20to%20Transcribing%20ManuScripts&amp;rft.aufirst=Ariane&amp;rft.aulast=Pinche&amp;rft.au=Ariane%20Pinche&amp;rft.au=Thibault%20Cl%C3%A9rice&amp;rft.au=Alix%20Chagu%C3%A9&amp;rft.au=Jean-Baptiste%20Camps&amp;rft.au=Malamatenia%20Vlachou-Efstathiou&amp;rft.au=Matthias%20Gille%20Levenson&amp;rft.au=Olivier%20Brisville-Fertin&amp;rft.au=Federico%20Boschetti&amp;rft.au=Franz%20Fischer&amp;rft.au=Michael%20Gervers&amp;rft.au=Agn%C3%A8s%20Boutreux&amp;rft.au=Avery%20Manton&amp;rft.au=Simon%20Gabay&amp;rft.au=Wouter%20Haverals&amp;rft.au=Mike%20Kestemont&amp;rft.au=Caroline%20Vandyck&amp;rft.au=Patricia%20O'Connor&amp;rft.date=2024&amp;rft.language=en"></span>
  <div class="csl-entry">Pinche, A., &amp; Stokes, P. (2024). Historical Documents and Automatic Text Recognition : Introduction. <i>Journal of Data Mining &amp; Digital Humanities</i>, <i>Documents historiques et reconnaissance automatique de textes</i>, 13247. <a href="https://doi.org/10.46298/jdmdh.13247">https://doi.org/10.46298/jdmdh.13247</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_id=info%3Adoi%2F10.46298%2Fjdmdh.13247&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Ajournal&amp;rft.genre=article&amp;rft.atitle=Historical%20Documents%20and%20Automatic%20Text%20Recognition%3A%20Introduction&amp;rft.jtitle=Journal%20of%20Data%20Mining%20%26%20Digital%20Humanities&amp;rft.volume=Documents%20historiques%20et%20reconnaissance%20automatique%20de%20textes&amp;rft.aufirst=Ariane&amp;rft.aulast=Pinche&amp;rft.au=Ariane%20Pinche&amp;rft.au=Peter%20Stokes&amp;rft.date=2024&amp;rft.pages=13247&amp;rft.issn=2416-5999&amp;rft.language=en"></span>
  <div class="csl-entry">Platanou, P., Pavlopoulos, J., &amp; Papaioannou, G. (2022). Handwritten Paleographic Greek Text Recognition : A Century-Based Approach. <i>Proceedings of the Thirteenth Language Resources and Evaluation Conference</i>, 6585‑6589.</div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Abook&amp;rft.genre=proceeding&amp;rft.atitle=Handwritten%20Paleographic%20Greek%20Text%20Recognition%3A%20A%20Century-Based%20Approach&amp;rft.btitle=Proceedings%20of%20the%20Thirteenth%20Language%20Resources%20and%20Evaluation%20Conference&amp;rft.place=Marseille%2C%20France&amp;rft.publisher=European%20Language%20Resources%20Association&amp;rft.aufirst=Paraskevi&amp;rft.aulast=Platanou&amp;rft.au=Paraskevi%20Platanou&amp;rft.au=John%20Pavlopoulos&amp;rft.au=Georgios%20Papaioannou&amp;rft.date=2022&amp;rft.pages=6585%E2%80%936589&amp;rft.spage=6585&amp;rft.epage=6589"></span>
  <div class="csl-entry">Preisendanz, K. (1911). <i>Anthologia Palatina : Codex Palatinus et Codex Parisinus: Vol. I,II</i>. Sijthoff. <a href="https://digi.ub.uni-heidelberg.de/diglit/preisendanz1911ga">https://digi.ub.uni-heidelberg.de/diglit/preisendanz1911ga</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Abook&amp;rft.genre=book&amp;rft.btitle=Anthologia%20Palatina%3A%20Codex%20Palatinus%20et%20Codex%20Parisinus&amp;rft.place=Lugduni%20Batavorum&amp;rft.publisher=Sijthoff&amp;rft.aufirst=Karl&amp;rft.aulast=Preisendanz&amp;rft.au=Karl%20Preisendanz&amp;rft.date=1911&amp;rft.language=grc%2C%20lat"></span>
  <div class="csl-entry">Robertson, B. (2019). Optical Character Recognition for Classical Philology. In M. Berti (Éd.), <i>Digital Classical Philology : Ancient Greek and Latin in the Digital Revolution</i> (p. 117‑136). De Gruyter. <a href="https://doi.org/10.1515/9783110599572-008">https://doi.org/10.1515/9783110599572-008</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_id=urn%3Aisbn%3A978-3-11-059957-2&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Abook&amp;rft.genre=bookitem&amp;rft.atitle=Optical%20Character%20Recognition%20for%20Classical%20Philology&amp;rft.place=Berlin%2C%20Boston&amp;rft.publisher=De%20Gruyter&amp;rft.aufirst=Bruce&amp;rft.aulast=Robertson&amp;rft.au=Monica%20Berti&amp;rft.au=Bruce%20Robertson&amp;rft.date=2019&amp;rft.pages=117-136&amp;rft.spage=117&amp;rft.epage=136&amp;rft.isbn=978-3-11-059957-2&amp;rft.language=en"></span>
  <div class="csl-entry">Robertson, B., &amp; Boschetti, F. (2017). Large-Scale Optical Character Recognition of Ancient Greek. <i>Mouseion</i>, <i>14</i>(3), 341‑359. <a href="https://doi.org/10.3138/mous.14.3-3">https://doi.org/10.3138/mous.14.3-3</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_id=info%3Adoi%2F10.3138%2Fmous.14.3-3&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Ajournal&amp;rft.genre=article&amp;rft.atitle=Large-Scale%20Optical%20Character%20Recognition%20of%20Ancient%20Greek&amp;rft.jtitle=Mouseion&amp;rft.volume=14&amp;rft.issue=3&amp;rft.aufirst=Bruce&amp;rft.aulast=Robertson&amp;rft.au=Bruce%20Robertson&amp;rft.au=Federico%20Boschetti&amp;rft.date=2017&amp;rft.pages=341-359&amp;rft.spage=341&amp;rft.epage=359&amp;rft.issn=1496-9343%2C%201913-5416&amp;rft.language=en"></span>
  <div class="csl-entry">Romanello, M., Najem-Meyer, S., &amp; Robertson, B. (2021). Optical Character Recognition of 19th Century Classical Commentaries : The Current State of Affairs. <i>The 6th International Workshop on Historical Document Imaging and Processing</i>, 1‑6. <a href="https://doi.org/10.1145/3476887.3476911">https://doi.org/10.1145/3476887.3476911</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_id=info%3Adoi%2F10.1145%2F3476887.3476911&amp;rft_id=urn%3Aisbn%3A978-1-4503-8690-6&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Abook&amp;rft.genre=proceeding&amp;rft.atitle=Optical%20Character%20Recognition%20of%2019th%20Century%20Classical%20Commentaries%3A%20the%20Current%20State%20of%20Affairs&amp;rft.btitle=The%206th%20International%20Workshop%20on%20Historical%20Document%20Imaging%20and%20Processing&amp;rft.place=Lausanne%20Switzerland&amp;rft.publisher=ACM&amp;rft.aufirst=Matteo&amp;rft.aulast=Romanello&amp;rft.au=Matteo%20Romanello&amp;rft.au=Sven%20Najem-Meyer&amp;rft.au=Bruce%20Robertson&amp;rft.date=2021-09-05&amp;rft.pages=1-6&amp;rft.spage=1&amp;rft.epage=6&amp;rft.isbn=978-1-4503-8690-6&amp;rft.language=en"></span>
  <div class="csl-entry">Seuret, M., Marthot-Santaniello, I., White, S. A., Serbaeva Saraogi, O., Agolli, S., Carrière, G., Rodriguez-Salas, D., &amp; Christlein, V. (2023). ICDAR 2023 Competition on Detection and Recognition of Greek Letters on Papyri. In G. A. Fink, R. Jain, K. Kise, &amp; R. Zanibbi (Éds.), <i>Document Analysis and Recognition—ICDAR 2023</i> (Vol. 14188, p. 498‑507). Springer Nature Switzerland. <a href="https://doi.org/10.1007/978-3-031-41679-8_29">https://doi.org/10.1007/978-3-031-41679-8_29</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_id=urn%3Aisbn%3A978-3-031-41678-1%20978-3-031-41679-8&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Abook&amp;rft.genre=bookitem&amp;rft.atitle=ICDAR%202023%20Competition%20on%20Detection%20and%20Recognition%20of%20Greek%20Letters%20on%20Papyri&amp;rft.place=Cham&amp;rft.publisher=Springer%20Nature%20Switzerland&amp;rft.aufirst=Mathias&amp;rft.aulast=Seuret&amp;rft.au=Gernot%20A.%20Fink&amp;rft.au=Rajiv%20Jain&amp;rft.au=Koichi%20Kise&amp;rft.au=Richard%20Zanibbi&amp;rft.au=Mathias%20Seuret&amp;rft.au=Isabelle%20Marthot-Santaniello&amp;rft.au=Stephen%20A.%20White&amp;rft.au=Olga%20Serbaeva%20Saraogi&amp;rft.au=Selaudin%20Agolli&amp;rft.au=Guillaume%20Carri%C3%A8re&amp;rft.au=Dalia%20Rodriguez-Salas&amp;rft.au=Vincent%20Christlein&amp;rft.date=2023&amp;rft.pages=498-507&amp;rft.spage=498&amp;rft.epage=507&amp;rft.isbn=978-3-031-41678-1%20978-3-031-41679-8&amp;rft.language=en"></span>
  <div class="csl-entry">Singh, P., &amp; Manure, A. (2020). Introduction to TensorFlow 2.0. In <i>Learn TensorFlow 2.0 : Implement machine learning and deep learning models with python</i> (p. 1‑24). Apress. <a href="https://doi.org/10.1007/978-1-4842-5558-2_1">https://doi.org/10.1007/978-1-4842-5558-2_1</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_id=urn%3Aisbn%3A978-1-4842-5558-2&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Abook&amp;rft.genre=bookitem&amp;rft.atitle=Introduction%20to%20TensorFlow%202.0&amp;rft.place=Berkeley&amp;rft.publisher=Apress&amp;rft.aufirst=Pramod&amp;rft.aulast=Singh&amp;rft.au=Pramod%20Singh&amp;rft.au=Avinash%20Manure&amp;rft.date=2020&amp;rft.pages=1%E2%80%9324&amp;rft.spage=1&amp;rft.epage=24&amp;rft.isbn=978-1-4842-5558-2&amp;rft.language=en"></span>
  <div class="csl-entry">Sommerschield, T., Assael, Y., Pavlopoulos, J., Stefanak, V., Senior, A., Dyer, C., Bodel, J., Prag, J., Androutsopoulos, I., &amp; Freitas, N. de. (2023). Machine Learning for Ancient Languages : A Survey. <i>Computational Linguistics</i>, 1‑45. <a href="https://doi.org/10.1162/coli_a_00481">https://doi.org/10.1162/coli_a_00481</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_id=info%3Adoi%2F10.1162%2Fcoli_a_00481&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Ajournal&amp;rft.genre=article&amp;rft.atitle=Machine%20Learning%20for%20Ancient%20Languages%3A%20A%20Survey&amp;rft.jtitle=Computational%20Linguistics&amp;rft.stitle=Computational%20Linguistics&amp;rft.aufirst=Thea&amp;rft.aulast=Sommerschield&amp;rft.au=Thea%20Sommerschield&amp;rft.au=Yannis%20Assael&amp;rft.au=John%20Pavlopoulos&amp;rft.au=Vanessa%20Stefanak&amp;rft.au=Andrew%20Senior&amp;rft.au=Chris%20Dyer&amp;rft.au=John%20Bodel&amp;rft.au=Jonathan%20Prag&amp;rft.au=Ion%20Androutsopoulos&amp;rft.au=Nando%20de%20Freitas&amp;rft.date=2023-08-10&amp;rft.pages=1-45&amp;rft.spage=1&amp;rft.epage=45&amp;rft.issn=0891-2017"></span>
  <div class="csl-entry">Stokes, P. A., Kiessling, B., Stökl Ben Ezra, D., Tissot, R., &amp; Gargel, E. H. (2021). The eScriptorium VRE for Manuscript Cultures. <i>Classics@ Journal: Ancient Manuscripts and Virtual Research Environments</i>, <i>18</i>. <a href="https://classics-at.chs.harvard.edu/classics18-stokes-kiessling-stokl-ben-ezra-tissot-gargem/">https://classics-at.chs.harvard.edu/classics18-stokes-kiessling-stokl-ben-ezra-tissot-gargem/</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Ajournal&amp;rft.genre=article&amp;rft.atitle=The%20eScriptorium%20VRE%20for%20Manuscript%20Cultures&amp;rft.jtitle=Classics%40%20Journal%3A%20Ancient%20Manuscripts%20and%20Virtual%20Research%20Environments&amp;rft.volume=18&amp;rft.aufirst=Peter%20A.&amp;rft.aulast=Stokes&amp;rft.au=Peter%20A.%20Stokes&amp;rft.au=Benjamin%20Kiessling&amp;rft.au=Daniel%20St%C3%B6kl%20Ben%20Ezra&amp;rft.au=Robin%20Tissot&amp;rft.au=El%20Hassane%20Gargel&amp;rft.au=Claire%20Clivaz&amp;rft.au=Garrick%20V.%20Allen&amp;rft.date=2021&amp;rft.language=en"></span>
  <div class="csl-entry">Ströbel, P. B., Clematide, S., &amp; Volk, M. (2020). How Much Data Do You Need? About the Creation of a Ground Truth for Black Letter and the Effectiveness of Neural OCR. In N. Calzolari, F. Béchet, P. Blache, K. Choukri, C. Cieri, T. Declerck, S. Goggi, H. Isahara, B. Maegaard, J. Mariani, H. Mazo, A. Moreno, J. Odijk, &amp; S. Piperidis (Éds.), <i>Proceedings of the Twelfth Language Resources and Evaluation Conference</i> (p. 3551‑3559). European Language Resources Association. <a href="https://aclanthology.org/2020.lrec-1.436">https://aclanthology.org/2020.lrec-1.436</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_id=urn%3Aisbn%3A979-10-95546-34-4&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Abook&amp;rft.genre=proceeding&amp;rft.atitle=How%20Much%20Data%20Do%20You%20Need%3F%20About%20the%20Creation%20of%20a%20Ground%20Truth%20for%20Black%20Letter%20and%20the%20Effectiveness%20of%20Neural%20OCR&amp;rft.btitle=Proceedings%20of%20the%20Twelfth%20Language%20Resources%20and%20Evaluation%20Conference&amp;rft.place=Marseille%2C%20France&amp;rft.publisher=European%20Language%20Resources%20Association&amp;rft.aufirst=Phillip%20Benjamin&amp;rft.aulast=Str%C3%B6bel&amp;rft.au=Phillip%20Benjamin%20Str%C3%B6bel&amp;rft.au=Simon%20Clematide&amp;rft.au=Martin%20Volk&amp;rft.au=Nicoletta%20Calzolari&amp;rft.au=Fr%C3%A9d%C3%A9ric%20B%C3%A9chet&amp;rft.au=Philippe%20Blache&amp;rft.au=Khalid%20Choukri&amp;rft.au=Christopher%20Cieri&amp;rft.au=Thierry%20Declerck&amp;rft.au=Sara%20Goggi&amp;rft.au=Hitoshi%20Isahara&amp;rft.au=Bente%20Maegaard&amp;rft.au=Joseph%20Mariani&amp;rft.au=H%C3%A9l%C3%A8ne%20Mazo&amp;rft.au=Asuncion%20Moreno&amp;rft.au=Jan%20Odijk&amp;rft.au=Stelios%20Piperidis&amp;rft.date=2020-05&amp;rft.pages=3551%E2%80%933559&amp;rft.spage=3551&amp;rft.epage=3559&amp;rft.isbn=979-10-95546-34-4&amp;rft.language=English"></span>
  <div class="csl-entry">Stutzmann, D. (2018a). Intelligence artificielle et humanités numériques : Déchiffrement des écritures médiévales, analyse des écritures et étude des sources en SHS. <i>La Lettre de l’InSHS</i>, <i>n° 54</i>, 3‑5.</div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Ajournal&amp;rft.genre=article&amp;rft.atitle=Intelligence%20artificielle%20et%20humanit%C3%A9s%20num%C3%A9riques%20%3A%20d%C3%A9chiffrement%20des%20%C3%A9critures%20m%C3%A9di%C3%A9vales%2C%20analyse%20des%20%C3%A9critures%20et%20%C3%A9tude%20des%20sources%20en%20SHS&amp;rft.jtitle=La%20Lettre%20de%20l'InSHS&amp;rft.issue=n%C2%B0%2054&amp;rft.aufirst=Dominique&amp;rft.aulast=Stutzmann&amp;rft.au=Dominique%20Stutzmann&amp;rft.date=2018-07&amp;rft.pages=p.%203-5&amp;rft.spage=p.%203&amp;rft.epage=5"></span>
  <div class="csl-entry">Stutzmann, D. (2018b). La lecture des manuscrits médiévaux grâce à l’intelligence artificielle : Une grande première de l’IRHT. <i>Les Amis de l’IRHT. Bulletin de l’association</i>. <a href="https://shs.hal.science/halshs-01927958">https://shs.hal.science/halshs-01927958</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Ajournal&amp;rft.genre=article&amp;rft.atitle=La%20lecture%20des%20manuscrits%20m%C3%A9di%C3%A9vaux%20gr%C3%A2ce%20%C3%A0%20l'intelligence%20artificielle%20%3A%20une%20grande%20premi%C3%A8re%20de%20l'IRHT&amp;rft.jtitle=Les%20Amis%20de%20l'IRHT.%20Bulletin%20de%20l'association&amp;rft.aufirst=Dominique&amp;rft.aulast=Stutzmann&amp;rft.au=Dominique%20Stutzmann&amp;rft.date=2018&amp;rft.language=fr"></span>
  <div class="csl-entry">Tauber, J. (s.&nbsp;d.). <i>Python, Unicode and Ancient Greek</i>. Consulté 11 septembre 2023, à l’adresse <a href="https://jktauber.com/articles/python-unicode-ancient-greek/">https://jktauber.com/articles/python-unicode-ancient-greek/</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Adc&amp;rft.type=webpage&amp;rft.title=Python%2C%20Unicode%20and%20Ancient%20Greek&amp;rft.identifier=https%3A%2F%2Fjktauber.com%2Farticles%2Fpython-unicode-ancient-greek%2F&amp;rft.aufirst=James&amp;rft.aulast=Tauber&amp;rft.au=James%20Tauber&amp;rft.language=Anglais"></span>
  <div class="csl-entry">Transkribus (Réalisateur). (2022, octobre 10). <i>One to Rule Them All or How to Transcribe Greek Manuscripts with a HTR Model | Elpida Perdiki #TUC22</i> [Enregistrement vidéo]. <a href="https://www.youtube.com/watch?v=8DNhg3YXTgI">https://www.youtube.com/watch?v=8DNhg3YXTgI</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Adc&amp;rft.type=videoRecording&amp;rft.title=One%20to%20Rule%20Them%20All%20or%20How%20to%20Transcribe%20Greek%20Manuscripts%20with%20a%20HTR%20Model%20%7C%20Elpida%20Perdiki%20%23TUC22&amp;rft.description=Elpida%20Perdiki%2C%20Democritus%20University%20of%20Thrace%20%0AOne%20to%20Rule%20Them%20All%20or%20How%20to%20Transcribe%20Greek%20Manuscripts%20with%20a%20Single%20HTR%20Model%0AHistorical%20documents%20remain%20a%20real-world%20challenge%20for%20researchers%20despite%20the%20existing%20state-of-the-art%20HTR%20technologies.%20A%20plethora%20of%20unedited%20or%20under-edited%20works%20of%20Greek%20Literature%20(ancient%20or%20byzantine%2C%20especially%20the%20latter)%20exists%20to%20this%20day%2C%20due%20to%20the%20complexity%20of%20producing%20critical%20editions.%20For%20a%20large%20manuscript%20tradition%2C%20such%20a%20process%20can%20be%20painstaking%20and%20time-consuming.%20To%20that%20end%2C%20HTR%20models%20trained%20via%20AI%20can%20be%20of%20great%20assistance.%20However%2C%20deep%20learning%20models%20require%20a%20quantum%20of%20data%20to%20be%20effective.%20This%2C%20in%20turn%2C%20reinforces%20the%20same%20problem%3A%20big%20data%20requires%20heavy%20loads%20of%20manually%20transcribed%20training%20sets.%20In%20absence%20of%20such%20transcriptions%2C%20this%20study%20experiments%20with%20training%20data%20of%20diverse%20sizes%20to%20determine%20the%20minimum%20amount%20of%20manual%20transcription%20needed%20to%20produce%20functioning%20results.%20HTR%20models%20are%20trained%20via%20Transkribus%20on%20several%20Byzantine%20manuscripts%20of%20a%20single%20author%2C%20John%20Chrysostom.%20Gradual%20reduction%20of%20training%20data%20and%20mixed%20models%20from%20multiple%20manuscripts%20proved%20that%2C%20if%20the%20right%20combination%20of%20manuscripts%20is%20selected%2C%20and%20by%20dint%20of%20Transkribus%E2%80%99%20transfer-learning%20tools%2C%20the%20size%20of%20training%20sets%20required%20can%20be%20reduced%20by%20up%20to%2080%25.%20Certain%20peculiarities%20of%20Greek%20manuscripts%2C%20which%20lead%20to%20easy%20automated%20cleaning%20of%20resulting%20transcriptions%2C%20could%20further%20improve%20these%20results.%20This%20case%20study%20proposes%20a%20solution%20for%20researching%2Fediting%20authors%20and%20works%20that%20were%20popular%20enough%20to%20survive%20in%20hundreds%20(if%20not%20thousands)%20of%20manuscripts%20and%20is%2C%20therefore%2C%20unfeasible%20to%20be%20evaluated%20by%20humans.%20Less%20could%20be%20more.%22&amp;rft.identifier=https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3D8DNhg3YXTgI&amp;rft.au=undefined&amp;rft.date=2022-10-10"></span>
  <div class="csl-entry">Tsochatzidis, L., Symeonidis, S., Papazoglou, A., &amp; Pratikakis, I. (2021). HTR for Greek Historical Handwritten Documents. <i>Journal of Imaging</i>, <i>7</i>(12), 260. <a href="https://doi.org/10.3390/jimaging7120260">https://doi.org/10.3390/jimaging7120260</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_id=info%3Adoi%2F10.3390%2Fjimaging7120260&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Ajournal&amp;rft.genre=article&amp;rft.atitle=HTR%20for%20Greek%20Historical%20Handwritten%20Documents&amp;rft.jtitle=Journal%20of%20Imaging&amp;rft.volume=7&amp;rft.issue=12&amp;rft.aufirst=Lazaros&amp;rft.aulast=Tsochatzidis&amp;rft.au=Lazaros%20Tsochatzidis&amp;rft.au=Symeon%20Symeonidis&amp;rft.au=Alexandros%20Papazoglou&amp;rft.au=Ioannis%20Pratikakis&amp;rft.date=2021&amp;rft.pages=260&amp;rft.issn=2313-433X&amp;rft.language=en"></span>
  <div class="csl-entry">Vidal-Gorène, C. (2023). <i>La reconnaissance automatique d’écriture à l’épreuve des langues peu dotées</i>. Programming Historian en français. <a href="https://doi.org/10.46430/phfr0023">https://doi.org/10.46430/phfr0023</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Adc&amp;rft.type=webpage&amp;rft.title=La%20reconnaissance%20automatique%20d'%C3%A9criture%20%C3%A0%20l'%C3%A9preuve%20des%20langues%20peu%20dot%C3%A9es&amp;rft.identifier=https%3A%2F%2Fdoi.org%2F10.46430%2Fphfr0023&amp;rft.aufirst=Chahan&amp;rft.aulast=Vidal-Gor%C3%A8ne&amp;rft.au=Chahan%20Vidal-Gor%C3%A8ne&amp;rft.date=2023&amp;rft.language=fr"></span>
  <div class="csl-entry">Vidal-Gorène, C., Dupin, B., Decours-Perez, A., &amp; Riccioli, T. (2021). A Modular and Automated Annotation Platform for Handwritings : Evaluation on Under-Resourced Languages. In J. Lladós, D. Lopresti, &amp; S. Uchida (Éds.), <i>Document Analysis and Recognition – ICDAR 2021</i> (p. 507‑522). Springer International Publishing. <a href="https://doi.org/10.1007/978-3-030-86334-0_33">https://doi.org/10.1007/978-3-030-86334-0_33</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_id=info%3Adoi%2F10.1007%2F978-3-030-86334-0_33&amp;rft_id=urn%3Aisbn%3A978-3-030-86334-0&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Abook&amp;rft.genre=proceeding&amp;rft.atitle=A%20Modular%20and%20Automated%20Annotation%20Platform%20for%20Handwritings%3A%20Evaluation%20on%20Under-Resourced%20Languages&amp;rft.btitle=Document%20Analysis%20and%20Recognition%20%E2%80%93%20ICDAR%202021&amp;rft.place=Cham&amp;rft.publisher=Springer%20International%20Publishing&amp;rft.series=Lecture%20Notes%20in%20Computer%20Science&amp;rft.aufirst=Chahan&amp;rft.aulast=Vidal-Gor%C3%A8ne&amp;rft.au=Chahan%20Vidal-Gor%C3%A8ne&amp;rft.au=Boris%20Dupin&amp;rft.au=Ali%C3%A9nor%20Decours-Perez&amp;rft.au=Thomas%20Riccioli&amp;rft.au=Josep%20Llad%C3%B3s&amp;rft.au=Daniel%20Lopresti&amp;rft.au=Seiichi%20Uchida&amp;rft.date=2021&amp;rft.pages=507-522&amp;rft.spage=507&amp;rft.epage=522&amp;rft.isbn=978-3-030-86334-0&amp;rft.language=en"></span>
  <div class="csl-entry">Vidal-Gorène, C., Lucas, N., Salah, C., Decours-Perez, A., &amp; Dupin, B. (2021). RASAM – A Dataset for the Recognition and Analysis of Scripts in Arabic Maghrebi. In E. H. Barney Smith &amp; U. Pal (Éds.), <i>Document Analysis and Recognition – ICDAR 2021 Workshops</i> (p. 265‑281). Springer International Publishing. <a href="https://doi.org/10.1007/978-3-030-86198-8_19">https://doi.org/10.1007/978-3-030-86198-8_19</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_id=info%3Adoi%2F10.1007%2F978-3-030-86198-8_19&amp;rft_id=urn%3Aisbn%3A978-3-030-86198-8&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Abook&amp;rft.genre=proceeding&amp;rft.atitle=RASAM%20%E2%80%93%20A%20Dataset%20for%20the%20Recognition%20and%20Analysis%20of%20Scripts%20in%20Arabic%20Maghrebi&amp;rft.btitle=Document%20Analysis%20and%20Recognition%20%E2%80%93%20ICDAR%202021%20Workshops&amp;rft.place=Cham&amp;rft.publisher=Springer%20International%20Publishing&amp;rft.series=Lecture%20Notes%20in%20Computer%20Science&amp;rft.aufirst=Chahan&amp;rft.aulast=Vidal-Gor%C3%A8ne&amp;rft.au=Chahan%20Vidal-Gor%C3%A8ne&amp;rft.au=No%C3%ABmie%20Lucas&amp;rft.au=Cl%C3%A9ment%20Salah&amp;rft.au=Ali%C3%A9nor%20Decours-Perez&amp;rft.au=Boris%20Dupin&amp;rft.au=Elisa%20H.%20Barney%20Smith&amp;rft.au=Umapada%20Pal&amp;rft.date=2021&amp;rft.pages=265-281&amp;rft.spage=265&amp;rft.epage=281&amp;rft.isbn=978-3-030-86198-8&amp;rft.language=en"></span>
  <div class="csl-entry">White, N. (2012). Training Tesseract for Ancient Greek OCR. <i>Εὔτυπον</i>, <i>28‑29</i>, 1‑11.</div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Ajournal&amp;rft.genre=article&amp;rft.atitle=Training%20Tesseract%20for%20Ancient%20Greek%20OCR&amp;rft.jtitle=%CE%95%E1%BD%94%CF%84%CF%85%CF%80%CE%BF%CE%BD&amp;rft.volume=28-29&amp;rft.aufirst=Nick&amp;rft.aulast=White&amp;rft.au=Nick%20White&amp;rft.date=2012&amp;rft.pages=1-11&amp;rft.spage=1&amp;rft.epage=11"></span>
  <div class="csl-entry">Wion, A., &amp; Vidal-Gorène, C. (2023). <i>Préparer un projet incluant l’extraction des textes en graphies non-latines par transcription et HTR, Quelques conseils pratiques</i>. <a href="https://shs.hal.science/halshs-04161903">https://shs.hal.science/halshs-04161903</a></div>
  <span class="Z3988" title="url_ver=Z39.88-2004&amp;ctx_ver=Z39.88-2004&amp;rfr_id=info%3Asid%2Fzotero.org%3A2&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Adc&amp;rft.type=document&amp;rft.title=Pr%C3%A9parer%20un%20projet%20incluant%20l%E2%80%99extraction%20des%20textes%20en%20graphies%20non-latines%20par%20transcription%20et%20HTR%2C%20Quelques%20conseils%20pratiques&amp;rft.description=En%20compl%C3%A9ment%20de%20l%E2%80%99approche%20extr%C3%AAmement%20fouill%C3%A9e%20propos%C3%A9e%20par%20le%20guide%20%C2%AB%20OCR%20%2F%20HTR%20et%20graphie%20arabe%2C%20Lesmanuscrits%20arabes%20%C3%A0%20l%E2%80%99heure%20de%20la%20reconnaissance%20automatique%20des%20%C3%A9critures%20%C2%BB%2C%20Cahier%20du%20GIS%20MOMM%20no%203%2C%20r%C3%A9dig%C3%A9%20parNo%C3%A9mie%20Lucas%20et%20publi%C3%A9%20en%202022%2C%20qui%20peut%20%C3%AAtre%20difficile%20%C3%A0%20prendre%20en%20main%20pour%20des%20porteurs%20de%20projet%2C%20il%20a%20sembl%C3%A9utile%20de%20proposer%20des%20fiches%20p%C3%A9dagogiques%20concises.%20Elles%20visent%20%C3%A0%20accompagner%20la%20mise%20en%20place%20d%E2%80%99un%20travail%20n%C3%A9ces-sitant%20l%E2%80%99acquisition%20de%20textes%20manuscrits%20en%20graphies%20non-latines.%20Il%20s%E2%80%99agit%20de%20rendre%20visible%20les%20%C3%A9tapes%20cruciales%20de%20telsprojets%2C%20en%20insistant%20sur%20les%20choix%20qui%20peuvent%20%C3%AAtre%20faits%20%C3%A0%20chaque%20%C3%A9tape%20et%20qui%20d%C3%A9terminent%20l%E2%80%99avancement%20du%20travail.L%E2%80%99objectif%20de%20ces%20fiches%20synth%C3%A9tiques%20est%20de%20permettre%20de%20comprendre%20ce%20qui%20motivent%20ces%20choix%2C%20de%20documenter%20lesprocessus%20de%20d%C3%A9cision%20et%20d%E2%80%99aider%20%C3%A0%20pr%C3%A9parer%20ce%20travail%20%C3%A0%20trois%20niveaux%20diff%C3%A9rents%20%3A%20en%20amont%2C%20afin%20de%20pouvoir%20anticiperles%20%C3%A9tapes%20%3B%20lors%20du%20choix%20d%E2%80%99un%20outil%20en%20fonction%20des%20objectifs%20et%20du%20type%20de%20corpus%20%3B%20une%20fois%20le%20texte%20acquis%20afin%20quela%20phase%20de%20post-traitement%20soit%20la%20plus%20optimis%C3%A9e%20possible.&amp;rft.identifier=https%3A%2F%2Fshs.hal.science%2Fhalshs-04161903&amp;rft.aufirst=Ana%C3%AFs&amp;rft.aulast=Wion&amp;rft.au=Ana%C3%AFs%20Wion&amp;rft.au=Chahan%20Vidal-Gor%C3%A8ne&amp;rft.date=2023&amp;rft.language=French"></span>
</div></body>
</html>

